| Home | Libraries | People | FAQ | More

## Struct template result<This(ForwardIterator, Distance)>

boost::proto::functional::next::result<This(ForwardIterator, Distance)>

## Synopsis

    // In header: <boost/proto/functional/std/iterator.hpp>

    template<typename This, typename ForwardIterator, typename Distance>
    struct result<This(ForwardIterator, Distance)> {
      // types
      typedef typename boost::remove_const<
          typename boost::remove_reference<ForwardIterator>::type
        >::type type;
    };